﻿Module USB5000

    Public Declare Function FindUSB5DAQ Lib "USB5000.dll" () As Integer
    Public Declare Function USB5OpenDevice Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer
    Public Declare Function USB5CloseDevice Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer
    Public Declare Function USB5GetDeviceSN Lib "USB5000.dll" (ByVal DevIndex As Integer, ByRef SN As Byte) As Integer
    Public Declare Function USB5GetDeviceModel Lib "USB5000.dll" (ByVal DevIndex As Integer, ByRef Model As Byte) As Integer

    '-------------------------------------------------------------------------------------------------------------------------------------------
    'Ananlog Input Configuration

    Public Declare Function SetUSB5AiSampleRate Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal SamplePeriod As UInteger) As Integer
    Public Declare Function SetUSB5AiSampleMode Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal AiSampleMode As Byte) As Integer
    Public Declare Function SetUSB5AiRange Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As Byte, ByVal AiRange As Single) As Integer
    Public Declare Function SetUSB5AiChanSel Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As Byte, ByVal Sel As Byte) As Integer
    Public Declare Function SetUSB5AiTrigSource Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal AiTrigSource As Byte) As Integer
    Public Declare Function SetUSB5AiConvSource Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal AiConvSource As Byte) As Integer
    Public Declare Function SetUSB5AiPreTrigPoints Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal AiPreTrigPoints As UInteger) As Integer
    Public Declare Function SetUSB5AiOneShotPoints Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal AiOneShotPoints As UInteger) As Integer
    Public Declare Function SetUSB5ClrAiFifo Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer

    '-------------------------------------------------------------------------------------------------------------------------------------------
    'Digital I/O Configuration

    Public Declare Function SetUSB5DiSampleRate Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal SamplePeriod As UInteger) As Integer
    Public Declare Function SetUSB5DiSampleMode Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal DiSampleMode As Byte) As Integer
    Public Declare Function SetUSB5DiTrigSource Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal DiTrigSource As Byte) As Integer
    Public Declare Function SetUSB5DiConvSource Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal DiConvSource As Byte) As Integer
    Public Declare Function SetUSB5DiPreTrigPoints Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal DiPreTrigPoints As UInteger) As Integer
    Public Declare Function SetUSB5DiOneShotPoints Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal DiOneShotPoints As UInteger) As Integer
    Public Declare Function SetUSB5ClrDiFifo Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer

    Public Declare Function SetUSB5DoSampleRate Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal SamplePeriod As UInteger) As Integer
    Public Declare Function SetUSB5DoSampleMode Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal DoSampleMode As Byte) As Integer
    Public Declare Function SetUSB5DoTrigSource Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal DoTrigSource As Byte) As Integer
    Public Declare Function SetUSB5DoConvSource Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal DoConvSource As Byte) As Integer
    Public Declare Function SetUSB5DoCycle Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal DoCycle As UInteger) As Integer
    Public Declare Function SetUSB5DoDataFifo Lib "USB5000.dll" (ByVal DevIndex As Integer, ByRef Value As UInteger, ByVal Len As UInteger) As Integer
    Public Declare Function SetUSB5ClrDoFifo Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer
    Public Declare Function SetUSB5DoWaveCtrl Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As UInteger) As Integer
    Public Declare Function SetUSB5DoImmediately Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As UInteger, ByVal Value As UInteger) As Integer

    '-------------------------------------------------------------------------------------------------------------------------------------------
    'Ananlog Output Configuration

    Public Declare Function SetUSB5AoSampleRate Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As Byte, ByVal SamplePeriod As UInteger) As Integer
    Public Declare Function SetUSB5AoSampleMode Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As Byte, ByVal AoSampleMode As Byte) As Integer
    Public Declare Function SetUSB5AoTrigSource Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As Byte, ByVal AoTrigSource As Byte) As Integer
    Public Declare Function SetUSB5AoConvSource Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As Byte, ByVal AoConvSource As Byte) As Integer
    Public Declare Function SetUSB5AoCycle Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As Byte, ByVal AoCycle As UInteger) As Integer
    Public Declare Function SetUSB5AoDataFifo Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As Byte, ByRef Voltage As Single, ByVal Len As UInteger) As Integer
    Public Declare Function SetUSB5ClrAoFifo Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As Byte) As Integer
    Public Declare Function SetUSB5AoSync Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chans As Byte) As Integer
    Public Declare Function SetUSB5AoImmediately Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As Byte, ByVal Voltage As Single) As Integer

    '-------------------------------------------------------------------------------------------------------------------------------------------
    'Trig Control

    Public Declare Function SetUSB5AiSoftTrig Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer
    Public Declare Function SetUSB5DiSoftTrig Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer
    Public Declare Function SetUSB5DoSoftTrig Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer
    Public Declare Function SetUSB5AoSoftTrig Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As Byte) As Integer
    Public Declare Function SetUSB5GlobalSoftTrig Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer

    Public Declare Function SetUSB5ClrTrigger Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer
    Public Declare Function SetUSB5ClrAiTrigger Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer
    Public Declare Function SetUSB5ClrDiTrigger Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer
    Public Declare Function SetUSB5ClrDoTrigger Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer
    Public Declare Function SetUSB5ClrAoTrigger Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Chan As Byte) As Integer
    Public Declare Function SetUSB5ClrGlobalSoftTrig Lib "USB5000.dll" (ByVal DevIndex As Integer) As Integer

    '-------------------------------------------------------------------------------------------------------------------------------------------
    'Sync Configuration

    Public Declare Function SetUSB5ExtTrigOutSource Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Source As Byte) As Integer
    Public Declare Function SetUSB5ExtConvOutSource Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Source As Byte) As Integer

    '-------------------------------------------------------------------------------------------------------------------------------------------
    'Get Data Acquired

    Public Declare Function USB5GetAi Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Points As UInteger, ByRef Ai As Single, ByVal TimeOut As Integer) As Integer
    Public Declare Function USB5GetDi Lib "USB5000.dll" (ByVal DevIndex As Integer, ByVal Points As UInteger, ByRef Di As Byte, ByVal TimeOut As Integer) As Integer

End Module
